package net.northking.cctp.se.dto;

import net.northking.cctp.se.script.ATUScript;

/**
 * 回放请求的参数
 */
public class ATUWebSocketReplay extends ATUWebSocketPayload
{
  /**
   * 回放类型: restart/all/from/step
   */
  private String type;

  /**
   * 步骤编号
   */
  private String stepId;

  /**
   * 脚本
   */
  private ATUScript script;

  public String getType()
  {
    return type;
  }

  public void setType(String type)
  {
    this.type = type;
  }

  public String getStepId()
  {
    return stepId;
  }

  public void setStepId(String stepId)
  {
    this.stepId = stepId;
  }

  public ATUScript getScript()
  {
    return script;
  }

  public void setScript(ATUScript script)
  {
    this.script = script;
  }

}
